# 📌 React Pakistan 🔥🔥🔥

<div>
  <a
    href="https://react-pakistan.github.io/react-pakistan-docs/"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Pakistan Documentation"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1565548545/GitHub/React_Pakistan_Storybook_Logo.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://react-pakistan.github.io/react-pakistan-docs/"
    target="_blank"
  >
    <img
      alt="Taimoor Khan - React Commons Collection Author"
      src="https://avatars1.githubusercontent.com/u/27800340?s=460&v=4"
      width="20%"
    />
  </a>
</div>

React Pakistan is an OpenSource & Free Software (FOSS) platform, creating React software solutions for the global community. ⭐⭐⭐

## 📌 Util React Native Functions ✌

A central place to declare all React Native util functions for ReactPakistan eco-system.

### 📌 Table of Contents 🚀

- [Technology Stack](#-technology-stack-) ✨
- [Installation](#-installation-) ✨
- [Tested](#-tested-) ✨
- [Contributors](#-contributors-) ✨
- [Other Libraries from ReactPakistan](#-other-libraries-from-reactpakistan-) ✨
- [Support](#-support-) ✨
- [Contact](#-contact-) ✨
- [Buy Me Coffee](#-buy-me-coffee-) ✨

### 📌 Technology Stack 🚀

- [React Native](https://reactnative.dev/) ✨
- [TypeScript](https://www.typescriptlang.org/) ✨
- [JavaScript](https://javascript.info/) ✨
- [Styled Components](https://styled-components.com/) ✨
- [Jest](https://jestjs.io/) ✨
- [Eslint](https://eslint.org/) ✨

### 📌 Installation 🚀

- Clone the repo
- Cd into the project folder
- Figure out which package manager you have on your system, then run following commands for their specific use cases.
```console
  // to install dependencies
  yarn
  // to start local dev server
  yarn start
  // to run all tests locally
  yarn test
```
OR
```console
  // cd to website directory
  cd website
  // to install dependencies
  npm install
  // to start local dev server
  npm start
  // to run all tests locally
  npm test
```

### 📌 Tested 🚀

We aim to achieve 100% coverage and we shall...

![Util React Native Functions Badge Branches](https://util-react-native-functions.surge.sh//badge-branches.svg)
![Util React Native Functions Badge Functions](https://util-react-native-functions.surge.sh//badge-functions.svg)
![Util React Native Functions Badge Lines](https://util-react-native-functions.surge.sh//badge-lines.svg)
![Util React Native Functions Badge Statements](https://util-react-native-functions.surge.sh//badge-statements.svg)

Should you like this project and would like to see more coming in future, please consider giving a ⭐ on Github project repo.

### 📌 Contributors 🚀

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

| Contributors        | GitHub           | Emoji  |
| ------------- |:-------------:|:-----:|
| <img src="https://avatars0.githubusercontent.com/u/27800340?s=150&v=4" /> | <a href="https://github.com/taimoormk">Taimoor Khan</a> | 🎨🤔🚧📆👀⚠️ |

### 📌 Other Libraries from ReactPakistan 🚀

<div>
  <a
    href="https://react-commons-collection.surge.sh"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Commons Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1671950783/React%20Pakistan/react-commons-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-commons-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Commons Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-ui-collection.surge.sh"
    target="_blank"
  >
    <img
      alt="React Pakistan - React UI Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1671950784/React%20Pakistan/react-ui-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-ui-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React UI Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-icon-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Icon Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1671950784/React%20Pakistan/react-icon-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-icon-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Icon Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-logo-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Logo Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1671950784/React%20Pakistan/react-logo-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-logo-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Logo Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-emoji-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Emoji Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1671950784/React%20Pakistan/react-emoji-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-emoji-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Emoji Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-native-commons-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Commons Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1672213225/React%20Pakistan/react-native-commons-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-native-commons-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Commons Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-native-ui-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Ui Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1672213225/React%20Pakistan/react-native-ui-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-native-ui-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Ui Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-native-icon-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Icon Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1672213225/React%20Pakistan/react-native-icon-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-native-icon-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Icon Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-native-logo-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Logo Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1672213225/React%20Pakistan/react-native-logo-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-native-logo-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Logo Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

<div>
  <a
    href="https://react-pakistan.github.io/react-native-emoji-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Emoji Collection"
      src="https://res.cloudinary.com/dq6hflqwx/image/upload/v1672213225/React%20Pakistan/react-native-emoji-collection.jpg"
      width="70%"
    />
  </a>
  <a
    href="https://www.npmjs.com/package/@react-pakistan/react-native-emoji-collection"
    target="_blank"
  >
    <img
      alt="React Pakistan - React Native Emoji Collection - NPM Package"
      src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQY1K6JwhYEBfsv52nUT30dAIjoFyp252cH6VVkhXB_Gq1bUSz-"
      width="20%"
    />
  </a>
</div>

### 📌 Support 🚀

If you need any help or have any question, please feel free to join ReactPakistan community at [React Pakistan Slack](reactpakistan.slack.com).

### 📌 Contact 🚀

I can be reachable via [Taimoor Web](https://taimoor.io) or else should you wish to send over an expression of your interest to contribute towards ReactPakistan, please shoot an [email](mailto:react.pakistan14@gmail.com).

### 📌 Buy me Coffee 🚀

<a
  href="https://www.buymeacoffee.com/60whp8FM3"
  target="_blank">
  <img
    alt="Buy Me A Coffee"
    src="https://bmc-cdn.nyc3.digitaloceanspaces.com/BMC-button-images/custom_images/yellow_img.png"
  />
</a>
