"use strict";
/* eslint-disable @typescript-eslint/type-annotation-spacing */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchSupabasePrivateImage = void 0;
const util_functions_1 = require("@react-pakistan/util-functions");
const fetch_1 = require("expo/fetch");
const react_native_quick_base64_1 = require("react-native-quick-base64");
const fetchSupabasePrivateImage = (_a) => __awaiter(void 0, [_a], void 0, function* ({ apikey, callback, fetchUrl, token, }) {
    const response = yield (0, fetch_1.fetch)(fetchUrl, {
        method: util_functions_1.API_METHODS.GET,
        headers: {
            'Content-Type': 'application/json',
            apikey,
            Authorization: `Bearer ${token}`,
        },
    }).then((res) => res.arrayBuffer());
    const unit8 = (0, react_native_quick_base64_1.fromByteArray)(new Uint8Array(response));
    const base64 = `data:image/webp;base64,${unit8}`;
    callback(base64);
});
exports.fetchSupabasePrivateImage = fetchSupabasePrivateImage;
