"use strict";
/**
 * A util function to validate if the device
 * is indeed iPhoneX
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.heightPercentageToDP = void 0;
const react_native_1 = require("react-native");
const { height } = react_native_1.Dimensions.get('window');
const heightPercentageToDP = (heightPercent) => {
    const elementHeight = ((typeof heightPercent === 'number')
        ? heightPercent
        : parseFloat(heightPercent));
    return react_native_1.PixelRatio.roundToNearestPixel(height * (elementHeight / 100));
};
exports.heightPercentageToDP = heightPercentageToDP;
