"use strict";
/**
 * A util function to validate if the device
 * is tablet or not
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.listenOrientationChange = void 0;
const react_native_1 = require("react-native");
const type_1 = require("./type");
const listenOrientationChange = (setOrientation) => {
    react_native_1.Dimensions.addEventListener('change', (newDimensions) => {
        const newWidth = newDimensions.window.width;
        const newHeight = newDimensions.window.height;
        setOrientation((newWidth < newHeight) ? type_1.ORIENTATION.PORTRAIT : type_1.ORIENTATION.LANDSCAPE);
    });
};
exports.listenOrientationChange = listenOrientationChange;
