"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.listenOrientationChange = exports.heightPercentageToDP = exports.widthPercentageToDP = exports.scale = exports.height = exports.width = void 0;
const react_native_1 = require("react-native");
const type_1 = require("./type");
_a = react_native_1.Dimensions.get('window'), exports.width = _a.width, exports.height = _a.height;
const wscale = exports.width / 375;
const hscale = exports.height / 667;
const scale = (size, based = 'width') => {
    const newSize = ((based === 'height')
        ? (size * hscale)
        : (size * wscale));
    if (exports.width < 768) {
        if (react_native_1.Platform.OS === 'ios') {
            return Math.round(react_native_1.PixelRatio.roundToNearestPixel(newSize));
        }
        return Math.round(react_native_1.PixelRatio.roundToNearestPixel(newSize)) - 2;
    }
    return size * 1.273;
};
exports.scale = scale;
const widthPercentageToDP = (widthPercent) => {
    const elementWidth = ((typeof widthPercent === 'number')
        ? widthPercent
        : parseFloat(widthPercent));
    return react_native_1.PixelRatio.roundToNearestPixel(exports.width * (elementWidth / 100));
};
exports.widthPercentageToDP = widthPercentageToDP;
const heightPercentageToDP = (heightPercent) => {
    const elementHeight = ((typeof heightPercent === 'number')
        ? heightPercent
        : parseFloat(heightPercent));
    return react_native_1.PixelRatio.roundToNearestPixel(exports.height * (elementHeight / 100));
};
exports.heightPercentageToDP = heightPercentageToDP;
const listenOrientationChange = (setOrientation) => {
    react_native_1.Dimensions.addEventListener('change', (newDimensions) => {
        const newWidth = newDimensions.window.width;
        const newHeight = newDimensions.window.height;
        setOrientation((newWidth < newHeight) ? type_1.ORIENTATION.PORTRAIT : type_1.ORIENTATION.LANDSCAPE);
    });
};
exports.listenOrientationChange = listenOrientationChange;
// export const removeOrientationListener = () : void => {
//   Dimensions.removeEventListener('change', () : null => null);
// };
