"use strict";
/**
 * A util function to validate if the device
 * is indeed iPhoneX
 *
 * @returns boolean - true or false
 * @author TK
 * @remarks React Native Commons Collection
 */
/** End file docs */
Object.defineProperty(exports, "__esModule", { value: true });
exports.widthPercentageToDP = void 0;
const react_native_1 = require("react-native");
const { width } = react_native_1.Dimensions.get('window');
const widthPercentageToDP = (widthPercent) => {
    const elementWidth = ((typeof widthPercent === 'number')
        ? widthPercent
        : parseFloat(widthPercent));
    return react_native_1.PixelRatio.roundToNearestPixel(width * (elementWidth / 100));
};
exports.widthPercentageToDP = widthPercentageToDP;
