"use strict";
/* eslint-disable @typescript-eslint/explicit-function-return-type */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePersistentState = void 0;
const util_functions_1 = require("@react-pakistan/util-functions");
const react_1 = require("react");
const usePersistentState = (key, initial) => {
    const fullKey = `_${key};`;
    const [value, setValue] = (0, react_1.useState)();
    const updateValue = (0, react_1.useCallback)(() => __awaiter(void 0, void 0, void 0, function* () {
        const current = yield (0, util_functions_1.getStorageValue)(fullKey);
        if (current === null) {
            setValue(initial);
        }
        else {
            setValue(current);
        }
    }), [fullKey]);
    updateValue();
    const view = (0, util_functions_1.useForceRender)();
    const setPersistentState = (0, react_1.useCallback)((newState) => {
        (0, util_functions_1.setStorageValue)(fullKey, newState);
        view();
    }, [fullKey, view]);
    return [value, setPersistentState];
};
exports.usePersistentState = usePersistentState;
