"use strict";
/* eslint-disable consistent-return, array-callback-return */
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateReactNativeLogos = void 0;
const generateReactNativeLogos = (fs) => {
    const saveDir = './src/xml';
    const svgDir = './assets/svgs/';
    let logoIndexOutput = `/**
 * Generated by scripts/generate-logos.js
 * DO NOT EDIT!
 */

`;
    const logoMap = {};
    let logoStoryOutput = `/**
 * Generated by scripts/generate-logos.js
 * DO NOT EDIT!
 */

import { Story, UseCase } from '@react-pakistan/react-native-commons-collection/views';
import { storiesOf } from '@storybook/react-native';
import React, { ReactElement } from 'react';
import { LogoWrapper, StyledScrollView, StyledView, TextWrapper } from './styled';
import { Logo } from '../src/logo';

storiesOf('Logo', module)
  `;
    // Read root Svg logo directory
    fs.readdirSync(svgDir).forEach((fileName) => {
        if (fileName === '.DS_Store')
            return;
        // globalFileNames.push(fileName);
        logoMap[fileName] = {};
        const subDir = `${svgDir}${fileName}`;
        let logoListOutput = `/**
 * Generated by scripts/generate-logos.js
 * DO NOT EDIT!
 */

`;
        // Read sub-directory
        fs.readdirSync(subDir).forEach((subDirFileName) => {
            // trim qoutes & .svg off subDirFileName
            const trimmedStr = subDirFileName.replace(/(.svg)|-/g, '');
            const svgContent = fs.readFileSync(`${subDir}/${subDirFileName}`, 'utf8');
            logoListOutput += `export const ${trimmedStr} = () : string => \`${svgContent}\`;
  `;
            logoMap[fileName][trimmedStr] = () => `<LogoWrapper>
              <Logo logo="${trimmedStr}" />
                <TextWrapper>
                  ${trimmedStr}
                </TextWrapper>
              </LogoWrapper>`;
            fs.writeFileSync(`${saveDir}/${fileName}.ts`, logoListOutput);
        });
        logoIndexOutput += `export * from './${fileName}'
    `;
        fs.writeFileSync(`${saveDir}/index.ts`, logoIndexOutput);
    });
    Object.keys(logoMap).map((category) => {
        logoStoryOutput += `.add('${category}', () : ReactElement => (
    <Story>
      <UseCase
        text="Logo => ${category}"
      >
        <StyledScrollView>
          <StyledView>
            ${Object.values(logoMap[category]).map((value) => value()).join('')}
          </StyledView>
        </StyledScrollView>
      </UseCase>
    </Story>
  ))
`;
    });
    fs.writeFileSync('./__stories__/logo.story.tsx', logoStoryOutput);
};
exports.generateReactNativeLogos = generateReactNativeLogos;
