"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.theme = void 0;
const general_1 = require("../general");
exports.theme = {
    typography: {
        fontFamily: 'Roboto-Regular',
        h1: {
            fontFamily: 'Roboto-Bold',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(34) : (0, general_1.scale)(28),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(36) : (0, general_1.scale)(30),
            textAlign: 'left',
            textTransform: 'uppercase',
        },
        h2: {
            fontFamily: 'Roboto-Medium',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(32) : (0, general_1.scale)(26),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(34) : (0, general_1.scale)(28),
            textAlign: 'left',
            textTransform: 'uppercase',
        },
        h3: {
            fontFamily: 'Roboto-Medium',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(30) : (0, general_1.scale)(24),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(32) : (0, general_1.scale)(26),
            textAlign: 'left',
            textTransform: 'uppercase',
        },
        h4: {
            fontFamily: 'Roboto-Medium',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(24) : (0, general_1.scale)(20),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(28) : (0, general_1.scale)(22),
            textAlign: 'left',
            textTransform: 'none',
        },
        h5: {
            fontFamily: 'Roboto-Medium',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(22) : (0, general_1.scale)(18),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(24) : (0, general_1.scale)(20),
            textAlign: 'left',
            textTransform: 'none',
        },
        h6: {
            fontFamily: 'Roboto-Medium',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(20) : (0, general_1.scale)(16),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(22) : (0, general_1.scale)(18),
            textAlign: 'left',
            textTransform: 'none',
        },
        p1: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(34) : (0, general_1.scale)(28),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(36) : (0, general_1.scale)(30),
            textAlign: 'left',
            textTransform: 'none',
        },
        p2: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(32) : (0, general_1.scale)(26),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(34) : (0, general_1.scale)(28),
            textAlign: 'left',
            textTransform: 'none',
        },
        p3: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(30) : (0, general_1.scale)(24),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(32) : (0, general_1.scale)(26),
            textAlign: 'left',
            textTransform: 'none',
        },
        p4: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(24) : (0, general_1.scale)(20),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(28) : (0, general_1.scale)(22),
            textAlign: 'left',
            textTransform: 'none',
        },
        p5: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(22) : (0, general_1.scale)(18),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(24) : (0, general_1.scale)(20),
            textAlign: 'left',
            textTransform: 'none',
        },
        p6: {
            fontFamily: 'Roboto-Regular',
            fontSize: (0, general_1.isTablet)() ? (0, general_1.scale)(20) : (0, general_1.scale)(16),
            letterSpacing: 0,
            lineHeight: (0, general_1.isTablet)() ? (0, general_1.scale)(22) : (0, general_1.scale)(18),
            textAlign: 'left',
            textTransform: 'none',
        },
    },
    colors: {
        black: '#2E2E2E',
        cherryRed: '#F62F5E',
        darkGrey: '#EFEFEF',
        inputBorder: '#E1E1E1',
        lightBlack: '#6C6C6C',
        lighterBlack: '#B4B4B4',
        lightGrey: '#F7F7F7',
        limeYellow: '#EFFC90',
        paleGreen: '#00D3CA',
        rustyGold: '#F1AD3D',
        skyBlue: '#1E90FF',
        white: '#FFFFFF',
    },
    misc: {},
    spacing: {
        xsmall: (0, general_1.scale)(4),
        small: (0, general_1.scale)(8),
        medium: (0, general_1.scale)(12),
        default: (0, general_1.scale)(16),
        large: (0, general_1.scale)(24),
        xlarge: (0, general_1.scale)(32),
        huge: (0, general_1.scale)(48),
    },
    breakpoints: {
        mobileS: '(min-width: 320px)',
        mobileM: '(min-width: 375px)',
        mobileL: '(min-width: 425px)',
        tablet: '(min-width: 768px)',
        laptop: '(min-width: 1024px)',
        laptopL: '(min-width: 1440px)',
        desktop: '(min-width: 2560px)',
    },
    radius: {
        default: (0, general_1.scale)(4),
        double: (0, general_1.scale)(8),
        half: (0, general_1.scale)(30),
        full: (0, general_1.scale)(50),
    },
    shadow: {
        default: '0px 1px 4px #E5E9F2',
        medium: '-4px 0 12px rgba(0, 0, 0, 0.3)',
    },
    zIndex: {
        dropdown: 100,
        pageFooter: 200,
        modal: 300,
    },
};
